udftools

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
cdrom_trackinfo Struct Reference

`#include <ide-pc.h>`

Collaboration diagram for cdrom_trackinfo:

## Public Attributes
u_short | data_length
u_char | trk
u_char | session
u_char | _r4
u_char | trk_mode:4
u_char | copy:1
u_char | damage:1
u_char | _r5:2
u_char | data_mode:4
u_char | fixpkt:1
u_char | packet:1
u_char | blank:1
u_char | rsrvd_trk:1
u_char | nwa_v:1
u_char | _r7:7
u_int | trk_start
u_int | nwa
u_int | free_blks
u_int | fixpkt_size
u_int | trk_size

## Detailed Description

Definition at line 95 of file ide-pc.h.

## Member Data Documentation

u_char cdrom_trackinfo::_r4

Definition at line 99 of file ide-pc.h.

u_char cdrom_trackinfo::_r5

Definition at line 103 of file ide-pc.h.

u_char cdrom_trackinfo::_r7

Definition at line 110 of file ide-pc.h.

u_char cdrom_trackinfo::blank

Definition at line 107 of file ide-pc.h.

u_char cdrom_trackinfo::copy

Definition at line 101 of file ide-pc.h.

u_char cdrom_trackinfo::damage

Definition at line 102 of file ide-pc.h.

u_short cdrom_trackinfo::data_length

Definition at line 96 of file ide-pc.h.

u_char cdrom_trackinfo::data_mode

Definition at line 104 of file ide-pc.h.

u_char cdrom_trackinfo::fixpkt

Definition at line 105 of file ide-pc.h.

u_int cdrom_trackinfo::fixpkt_size

Definition at line 114 of file ide-pc.h.

u_int cdrom_trackinfo::free_blks

Definition at line 113 of file ide-pc.h.

u_int cdrom_trackinfo::nwa

Definition at line 112 of file ide-pc.h.

u_char cdrom_trackinfo::nwa_v

Definition at line 109 of file ide-pc.h.

u_char cdrom_trackinfo::packet

Definition at line 106 of file ide-pc.h.

u_char cdrom_trackinfo::rsrvd_trk

Definition at line 108 of file ide-pc.h.

u_char cdrom_trackinfo::session

Definition at line 98 of file ide-pc.h.

u_char cdrom_trackinfo::trk

Definition at line 97 of file ide-pc.h.

u_char cdrom_trackinfo::trk_mode

Definition at line 100 of file ide-pc.h.

u_int cdrom_trackinfo::trk_size

Definition at line 115 of file ide-pc.h.

u_int cdrom_trackinfo::trk_start

Definition at line 111 of file ide-pc.h.

The documentation for this struct was generated from the following file:

- wrudf/ide-pc.h